Skip to navigation

List Notice Priorities

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Returns the full list of Avalara-supported tax notice priorities. This API is intended to be useful to identify all the different notice priorities that can be used in notices.

Authentication

Authorizationstring
API Key authentication via header

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: activeFlag, sortOrder

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional